Package tigase.server.xmppcomponent

# Class ComponentConnectionManager

java.lang.Object
tigase.server.BasicComponent
tigase.server.AbstractMessageReceiver
tigase.server.ConnectionManager<XMPPIOService<Object>>
tigase.server.xmppcomponent.ComponentConnectionManager

All Implemented Interfaces:
  `ClusteredComponentIfc`, `Configurable`, `XMPPService`, `ConfigurationChangedAware`, `Initializable`, `RegistrarBean`, `IOServiceListener<XMPPIOService<Object>>`, `MessageReceiver`, `PacketWriterWithTimeout`, `ServerComponent`, `StatisticsContainer`, `StatisticsContainerIfc`, `VHostListener`, `XMPPIOServiceListener<XMPPIOService<Object>>`

@Bean(name="ext-comp", parent=Kernel.class, active=false) @ConfigType(ComponentMode) @Deprecated public class ComponentConnectionManager extends ConnectionManager<XMPPIOService<Object>> implements XMPPService
Deprecated.
Class ComponentConnectionManager
Created: Tue Nov 22 07:07:11 2005

Author:
  Artur Hefczyc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.server.ConnectionManager

  `ConnectionManager.LIMIT_ACTION, ConnectionManager.PortConfigBean, ConnectionManager.PortsConfigBean, ConnectionManager.SecPortConfigBean, ConnectionManager.Watchdog, ConnectionManager.WATCHDOG_PING_TYPE`

  ## Nested classes/interfaces inherited from class tigase.server.BasicComponent

  `BasicComponent.ServerInfoVHostItemExtension`

  ## Nested classes/interfaces inherited from interface tigase.server.PacketWriterWithTimeout

  `PacketWriterWithTimeout.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IDENTITY_TYPE_KEY`
  Deprecated.
  `static final String`
  `IDENTITY_TYPE_VAL`
  Deprecated.
  `static final String`
  `PACK_ROUTED_KEY`
  Deprecated.
  `boolean`
  `PACK_ROUTED_VAL`
  Deprecated.
  `String`
  `PORT_LOCAL_HOST_PROP_VAL`
  Deprecated.
  `String`
  `PORT_REMOTE_HOST_PROP_VAL`
  Deprecated.
  `static final String`
  `PORT_ROUTING_TABLE_PROP_KEY`
  Deprecated.
  `String[]`
  `PORT_ROUTING_TABLE_PROP_VAL`
  Deprecated.
  `SocketType`
  `PORT_SOCKET_PROP_VAL`
  Deprecated.
  `ConnectionType`
  `PORT_TYPE_PROP_VAL`
  Deprecated.
  `int[]`
  `PORTS`
  Deprecated.
  `static final String`
  `RETURN_SERVICE_DISCO_KEY`
  Deprecated.
  `static final boolean`
  `RETURN_SERVICE_DISCO_VAL`
  Deprecated.
  `static final String`
  `SECRET_PROP_KEY`
  Deprecated.
  `String`
  `SECRET_PROP_VAL`
  Deprecated.

  ### Fields inherited from class tigase.server.ConnectionManager

  `connectionDelay, delayPortListening, elements_number_limit, ELEMENTS_NUMBER_LIMIT_PROP_KEY, ELEMENTS_NUMBER_LIMIT_PROP_VAL, HT_TRAFFIC_THROTTLING_PROP_KEY, HT_TRAFFIC_THROTTLING_PROP_VAL, kernel, LAST_MINUTE_BIN_LIMIT_PROP_VAL, LAST_MINUTE_PACKETS_LIMIT_PROP_VAL, MAX_INACTIVITY_TIME, MAX_RECONNECTS_PROP_KEY, net_buffer, NET_BUFFER_HT_PROP_KEY, NET_BUFFER_HT_PROP_VAL, NET_BUFFER_LIMIT_HT_PROP_VAL, NET_BUFFER_LIMIT_ST_PROP_VAL, NET_BUFFER_ST_PROP_KEY, NET_BUFFER_ST_PROP_VAL, pingElement, PORT_CLASS_PROP_KEY, PORT_IFC_PROP_KEY, PORT_IFC_PROP_VAL, PORT_KEY, PORT_LISTENING_DELAY_DEF, PORT_LISTENING_DELAY_KEY, PORT_LOCAL_HOST_PROP_KEY, PORT_NEW_CONNECTIONS_THROTTLING_KEY, PORT_REMOTE_HOST_PROP_KEY, PORT_SOCKET_PROP_KEY, PORT_TYPE_PROP_KEY, PORTS_PROP_KEY, processors, PROP_KEY, serviceConnectedTimeout, SOCKET_BUFFER_HT_PROP_VAL, SOCKET_BUFFER_ST_PROP_VAL, ST_TRAFFIC_THROTTLING_PROP_KEY, ST_TRAFFIC_THROTTLING_PROP_VAL, TOTAL_BIN_LIMIT_PROP_VAL, TOTAL_PACKETS_LIMIT_PROP_VAL, TRAFFIC_THROTTLING_PROP_KEY, trafficThrottling, WATCHDOG_DELAY, WATCHDOG_PING_TYPE_KEY, WATCHDOG_TIMEOUT, watchdogDelay, watchdogPingType, watchdogTimeout, WHITE_CHAR_ACK_PROP_KEY, WHITE_CHAR_ACK_PROP_VAL, XMPP_ACK_PROP_KEY, XMPP_ACK_PROP_VAL`

  ### Fields inherited from class tigase.server.AbstractMessageReceiver

  `HOUR, INCOMING_FILTERS_PROP_KEY, INCOMING_FILTERS_PROP_VAL, MAX_QUEUE_SIZE_PROP_KEY, MAX_QUEUE_SIZE_PROP_VAL, maxInQueueSize, maxOutQueueSize, maxQueueSize, MINUTE, OUTGOING_FILTERS_PROP_KEY, OUTGOING_FILTERS_PROP_VAL, PACKET_DELIVERY_RETRY_COUNT_PROP_KEY, SCHEDULER_THREADS_PROP_KEY, SECOND`

  ### Fields inherited from class tigase.server.BasicComponent

  `admins, ALL_PROP_KEY, COMMAND_PROP_NODE, scriptCommands, scriptEngineManager, SCRIPTS_DIR_PROP_DEF, SCRIPTS_DIR_PROP_KEY, trusted, vHostManager`

  ### Fields inherited from interface tigase.conf.Configurable

  `ADMINS_PROP_KEY, AMP_CLASS_NAME, AMP_CLUST_CLASS_NAME, AUTH_DOMAIN_POOL_CLASS, AUTH_REPO_DOMAINS_PROP_KEY, AUTH_REPO_PARAMS_NODE, AUTH_REPO_POOL_CLASS, AUTH_REPO_URL_PROP_KEY, BOSH_CLUST_COMP_CLASS_NAME, BOSH_COMP_CLASS_NAME, C2S_CLUST_COMP_CLASS_NAME, C2S_COMP_CLASS_NAME, CL_COMP_CLASS_NAME, CLUSTER_CONECT, CLUSTER_CONTR_CLASS_NAME, CLUSTER_LISTEN, CLUSTER_MODE, CLUSTER_NODES, CLUSTER_NODES_PROP_KEY, COMP_PROT_CLASS_NAME, COMPONENT_ID_PROP_KEY, DEF_AMP_NAME, DEF_BOSH_NAME, DEF_C2S_NAME, DEF_CL_COMP_NAME, DEF_CLUST_CONTR_NAME, DEF_COMP_PROT_NAME, DEF_EVENTBUS_NAME, DEF_EXT_COMP_NAME, DEF_HOSTNAME_PROP_KEY, DEF_MONITOR_NAME, DEF_S2S_NAME, DEF_SM_NAME, DEF_STATS_NAME, DEF_VHOST_MAN_NAME, DEF_WS2S_NAME, DERBY_REPO_CLASS_PROP_VAL, DERBY_REPO_URL_PROP_VAL, DRUPAL_REPO_URL_PROP_VAL, DRUPALWP_REPO_CLASS_PROP_VAL, DUMMY_REPO_CLASS_PROP_VAL, EVENTBUS_CLASS_NAME, EXT_COMP_CLASS_NAME, GEN_ADMINS, GEN_AUTH_DB, GEN_AUTH_DB_URI, GEN_COMP_CLASS, GEN_COMP_NAME, GEN_CONF, GEN_CONFIG, GEN_CONFIG_ALL, GEN_CONFIG_COMP, GEN_CONFIG_CS, GEN_CONFIG_DEF, GEN_CONFIG_SM, GEN_DEBUG, GEN_DEBUG_PACKAGES, GEN_EXT_COMP, GEN_MAX_QUEUE_SIZE, GEN_SCRIPT_DIR, GEN_SM_PLUGINS, GEN_SREC_ADMINS, GEN_SREC_DB, GEN_SREC_DB_URI, GEN_TEST, GEN_TRUSTED, GEN_USER_DB, GEN_USER_DB_URI, GEN_USER_DB_URI_PROP_KEY, GEN_VIRT_HOSTS, HOSTNAMES_PROP_KEY, LIBRESOURCE_REPO_CLASS_PROP_VAL, LIBRESOURCE_REPO_URL_PROP_VAL, MONITOR_CLASS_NAME, MONITOR_CLUST_CLASS_NAME, MONITORING, MYSQL_REPO_CLASS_PROP_VAL, MYSQL_REPO_URL_PROP_VAL, PGSQL_REPO_CLASS_PROP_VAL, PGSQL_REPO_URL_PROP_VAL, ROUTER_COMP_CLASS_NAME, S2S_CLUST_COMP_CLASS_NAME, S2S_COMP_CLASS_NAME, SHARED_AUTH_REPO_PARAMS_PROP_KEY, SHARED_AUTH_REPO_PROP_KEY, SHARED_USER_REPO_PARAMS_PROP_KEY, SHARED_USER_REPO_PROP_KEY, SM_CLUST_COMP_CLASS_NAME, SM_COMP_CLASS_NAME, STANZA_WHITE_CHAR_ACK, STANZA_XMPP_ACK, STATS_CLASS_NAME, STRINGPREP_PROCESSOR, TIGASE_AUTH_REPO_CLASS_PROP_VAL, TIGASE_AUTH_REPO_URL_PROP_VAL, TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL, TRUSTED_PROP_KEY, USER_DOMAIN_POOL_CLASS, USER_REPO_DOMAINS_PROP_KEY, USER_REPO_PARAMS_NODE, USER_REPO_POOL_CLASS, USER_REPO_POOL_SIZE, USER_REPO_POOL_SIZE_PROP_KEY, USER_REPO_URL_PROP_KEY, VHOST_MAN_CLASS_NAME, VHOST_MAN_CLUST_CLASS_NAME, WS2S_CLASS_NAME, WS2S_CLUST_CLASS_NAME, XML_REPO_CLASS_PROP_VAL, XML_REPO_URL_PROP_VAL, XMPP_STANZA_ACK`

  ### Fields inherited from interface tigase.disco.XMPPService

  `CMD_FEATURES, DEF_FEATURES, INFO_XMLNS, ITEMS_XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentConnectionManager()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getDefaults(Map<String,Object> params)`
  Deprecated.
  Returns default configuration settings for the component as a `Map` with keys as configuration property IDs and values as the configuration property values.
  `protected int[]`
  `getDefPlainPorts()`
  Deprecated.
  `List<Element>`
  `getDiscoFeatures(JID from)`
  Deprecated.
  Method returns list of features provided by this component for provided JID.
  `Element`
  `getDiscoInfo(String node, JID jid, JID from)`
  Deprecated.
  Returns service discovery info for the component.
  `List<Element>`
  `getDiscoItems(String node, JID jid, JID from)`
  Deprecated.
  Returns service discovery items for the component.
  `protected long`
  `getMaxInactiveTime()`
  Deprecated.
  We should not really close external component connection at all, so let's say something like: 1000 days...
  `protected Map<String,Object>`
  `getParamsForPort(int port)`
  Deprecated.
  `protected String`
  `getServiceId(Packet packet)`
  Deprecated.
  `protected String`
  `getUniqueId(XMPPIOService<Object> serv)`
  Deprecated.
  `protected XMPPIOService<Object>`
  `getXMPPIOServiceInstance()`
  Deprecated.
  `void`
  `processPacket(Packet packet)`
  Deprecated.
  This is the main `Packet` processing method.
  `Queue<Packet>`
  `processSocketData(XMPPIOService<Object> serv)`
  Deprecated.
  `boolean`
  `processUndeliveredPacket(Packet packet, Long stamp, String errorMessage)`
  Deprecated.
  Processes undelivered packets
  `void`
  `reconnectionFailed(Map<String,Object> port_props)`
  Deprecated.
  `void`
  `serviceStarted(XMPPIOService<Object> serv)`
  Deprecated.
  `boolean`
  `serviceStopped(XMPPIOService<Object> service)`
  Deprecated.
  `void`
  `setProperties(Map<String,Object> props)`
  Deprecated.
  Sets all configuration properties for the object.
  `void`
  `tlsHandshakeCompleted(XMPPIOService<Object> service)`
  Deprecated.
  `void`
  `xmppStreamClosed(XMPPIOService<Object> serv)`
  Deprecated.
  `String[]`
  `xmppStreamOpened(XMPPIOService<Object> service, Map<String,String> attribs)`
  Deprecated.

  ### Methods inherited from class tigase.server.ConnectionManager

  `addWaitingTask, beanConfigurationChanged, checkHighThroughputProperty, checkTrafficLimits, connectWaitingTasks, countIOServices, doForAllServices, enableServiceConnectedTimeout, everyMinute, getDefPorts, getDefSSLPorts, getDefTrafficThrottling, getFlashCrossDomainPolicy, getNet_buffer_limit, getPortsConfigBean, getServiceId, getStatistics, getTrafficThrottling, getXMPPIOService, getXMPPIOService, hashCodeForPacket, initBindings, initializationCompleted, isHighThroughput, newWatchdog, packetsReady, processingInThreads, processingOutThreads, redeliverWaitingPackets, register, release, releaseListener, serviceConnected, setFlashCrossDomainPolicyFile, setName, setNet_buffer_limit, setProcessors, setTrafficThrottling, setupWatchdogThread, setWatchdogPingType, shouldRedeliverWaitingPackets, socketAccepted, start, startService, stop, unregister, updateConnectionDetails, writePacketsToSocket, writePacketToSocket, writePacketToSocket, writePacketToSocket, writeRawData, xmppStreamError`

  ### Methods inherited from class tigase.server.AbstractMessageReceiver

  `addOutPacket, addOutPacketNB, addOutPackets, addOutPacketWithTimeout, addOutPacketWithTimeout, addPacket, addPacketNB, addPackets, addRegexRouting, addTimerTask, addTimerTask, addTimerTask, addTimerTaskWithTimeout, addTimerTaskWithTimeout, clearRegexRoutings, everyHour, everySecond, getMaxQueueSize, getRegexRoutings, getResourceForPacketWithTimeout, isInRegexRoutings, newPacketId, processOutPacket, processPacket, removeRegexRouting, schedulerThreads, setCompId, setIncoming_filters, setOutgoing_filters, setParent, setSchedulerThreads_size, updateFiltersName`

  ### Methods inherited from class tigase.server.BasicComponent

  `addComponentDomain, canCallCommand, canCallCommand, checkCommandAcl, checkCommandAcl, createScriptEngineManager, getComponentId, getComponentInfo, getDefHostName, getDefVHostItem, getDiscoCategory, getDiscoCategoryType, getDiscoDescription, getDiscoExtensionsForm, getDiscoFeatures, getName, getNodesConnected, getNodesConnectedWithLocal, getScriptCommands, getScriptItems, getServiceEntity, getServiceEntityCaps, getVHostItem, handlesLocalDomains, handlesNameSubdomains, handlesNonLocalDomains, initialize, isAdmin, isInitializationComplete, isLocalDomain, isLocalDomainOrComponent, isNonAdminCommands, isSubdomain, isTrusted, isTrusted, nodeConnected, nodeDisconnected, onNodeConnected, onNodeDisconnected, processScriptCommand, reloadScripts, removeComponentDomain, removeServiceDiscoveryItem, setAdmins, setClusterController, setCommandsACL, setScriptsBaseDir, setVHostManager, updateServiceDiscoveryItem, updateServiceDiscoveryItem, updateServiceDiscoveryItem, updateServiceEntity`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.server.MessageReceiver

  `getDefHostName`

  ### Methods inherited from interface tigase.server.ServerComponent

  `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

  ### Methods inherited from interface tigase.stats.StatisticsContainerIfc

  `getName`

- ## Field Details

  - ### SECRET_PROP_KEY

    public static final String SECRET_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### PORT_ROUTING_TABLE_PROP_KEY

    public static final String PORT_ROUTING_TABLE_PROP_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### PACK_ROUTED_KEY

    public static final String PACK_ROUTED_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### RETURN_SERVICE_DISCO_KEY

    public static final String RETURN_SERVICE_DISCO_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### RETURN_SERVICE_DISCO_VAL

    public static final boolean RETURN_SERVICE_DISCO_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### IDENTITY_TYPE_KEY

    public static final String IDENTITY_TYPE_KEY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### IDENTITY_TYPE_VAL

    public static final String IDENTITY_TYPE_VAL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### PACK_ROUTED_VAL

    public boolean PACK_ROUTED_VAL
    Deprecated.

  - ### PORTS

    public int[] PORTS
    Deprecated.

  - ### PORT_LOCAL_HOST_PROP_VAL

    public String PORT_LOCAL_HOST_PROP_VAL
    Deprecated.

  - ### PORT_REMOTE_HOST_PROP_VAL

    public String PORT_REMOTE_HOST_PROP_VAL
    Deprecated.

  - ### PORT_ROUTING_TABLE_PROP_VAL

    public String[] PORT_ROUTING_TABLE_PROP_VAL
    Deprecated.

  - ### PORT_SOCKET_PROP_VAL

    public SocketType PORT_SOCKET_PROP_VAL
    Deprecated.

  - ### PORT_TYPE_PROP_VAL

    public ConnectionType PORT_TYPE_PROP_VAL
    Deprecated.

  - ### SECRET_PROP_VAL

    public String SECRET_PROP_VAL
    Deprecated.

- ## Constructor Details

  - ### ComponentConnectionManager

    public ComponentConnectionManager()
    Deprecated.

- ## Method Details

  - ### getDefaults

    public Map<String,Object> getDefaults(Map<String,Object> params)
    Deprecated.
    Description copied from interface: `Configurable`
    Returns default configuration settings for the component as a `Map` with keys as configuration property IDs and values as the configuration property values. All the default parameters returned from this method are later passed to the `setProperties(...)` method. Some of them may have changed value if they have been overwritten in the server configuration. The configuration property value can be of any of the basic types: `int`, `long`, `boolean`, `String`.
    Specified by:
      `getDefaults` in interface `Configurable`
    Overrides:
      `getDefaults` in class `BasicComponent`
    Parameters:
      `params` - is a `Map` with some initial properties set for the starting up server. These parameters can be used as a hints to generate component's default configuration.
    Returns:
      a `Map` with the component default configuration.

  - ### getDiscoFeatures

    public List<Element> getDiscoFeatures(JID from)
    Deprecated.
    Description copied from class: `BasicComponent`
    Method returns list of features provided by this component for provided JID.
    Specified by:
      `getDiscoFeatures` in interface `XMPPService`
    Overrides:
      `getDiscoFeatures` in class `BasicComponent`
    Parameters:
      `from` - a request sender address. Some service disco elements are meant to be available only to system administrarors. The component is responsible to check whether the sender is the component administrator and return results appropriate.
    Returns:
      list of features

  - ### getDiscoInfo

    public Element getDiscoInfo(String node, JID jid, JID from)
    Deprecated.
    Description copied from interface: `XMPPService`
    Returns service discovery info for the component. If the jid is null then this is info for the top level request. SM may return disco info on the top level. Other components should not.
    Specified by:
      `getDiscoInfo` in interface `XMPPService`
    Overrides:
      `getDiscoInfo` in class `BasicComponent`
    Parameters:
      `node` - is service discovery node for which the request is made. Is normally null for the component top level request.
      `jid` - is the jid to which the request has been made.
      `from` - is the request sender address. Some service discovery information is only meant for administrators.
    Returns:
      returns an XML Element with service discovery data.

  - ### getDiscoItems

    public List<Element> getDiscoItems(String node, JID jid, JID from)
    Deprecated.
    Description copied from interface: `XMPPService`
    Returns service discovery items for the component. If the JID is null then this is request for the top level request. SM may return disco items on the top level, other components should just return it's top level service discovery item for null node.
    Specified by:
      `getDiscoItems` in interface `XMPPService`
    Overrides:
      `getDiscoItems` in class `BasicComponent`
    Parameters:
      `node` - is a service discovery node for which the request has been made.
      `jid` - is the jid to which the request has been made.
      `from` - is the request sender address. Some service discovery information is only meant for administrators.
    Returns:
      a list of service discovery items for this component or the component itself disco item for the top level request.

  - ### processPacket

    public void processPacket(Packet packet)
    Deprecated.
    Description copied from class: `AbstractMessageReceiver`
    This is the main `Packet` processing method. It is called concurrently from many threads so implementing it in thread save manner is essential. The method is called for each packet addressed to the component.
    Please note, the `Packet` instance may be processed by different parts of the server, different components or plugins at the same time. Therefore this is very important to tread the `Packet` instance as unmodifiable object.
    Processing in this method is asynchronous, therefore there is no result value. If there are some 'result' packets generated during processing, they should be passed back using `addOutPacket(Packet)` method.
    Overrides:
      `processPacket` in class `ConnectionManager<XMPPIOService<Object>>`
    Parameters:
      `packet` - is an instance of the `Packet` class passed for processing.

  - ### processSocketData

    public Queue<Packet> processSocketData(XMPPIOService<Object> serv)
    Deprecated.
    Specified by:
      `processSocketData` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### processUndeliveredPacket

    public boolean processUndeliveredPacket(Packet packet, Long stamp, String errorMessage)
    Deprecated.
    Description copied from class: `ConnectionManager`
    Processes undelivered packets
    Specified by:
      `processUndeliveredPacket` in class `ConnectionManager<XMPPIOService<Object>>`
      `stamp` - - timestamp when packet was received to be written to XMPPIOService

  - ### reconnectionFailed

    public void reconnectionFailed(Map<String,Object> port_props)
    Deprecated.
    Specified by:
      `reconnectionFailed` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### serviceStarted

    public void serviceStarted(XMPPIOService<Object> serv)
    Deprecated.
    Overrides:
      `serviceStarted` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### serviceStopped

    public boolean serviceStopped(XMPPIOService<Object> service)
    Deprecated.
    Specified by:
      `serviceStopped` in interface `IOServiceListener<XMPPIOService<Object>>`
    Overrides:
      `serviceStopped` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### setProperties

    public void setProperties(Map<String,Object> props) throws ConfigurationException
    Deprecated.
    Description copied from interface: `Configurable`
    Sets all configuration properties for the object.
    Specified by:
      `setProperties` in interface `Configurable`
    Overrides:
      `setProperties` in class `BasicComponent`
    Parameters:
      `props` - `Map` with the configuration
    Throws:
      `ConfigurationException` - - if setting configuration will fail which will make it unable to work

  - ### tlsHandshakeCompleted

    public void tlsHandshakeCompleted(XMPPIOService<Object> service)
    Deprecated.
    Specified by:
      `tlsHandshakeCompleted` in interface `IOServiceListener<XMPPIOService<Object>>`

  - ### xmppStreamClosed

    public void xmppStreamClosed(XMPPIOService<Object> serv)
    Deprecated.
    Specified by:
      `xmppStreamClosed` in interface `XMPPIOServiceListener<XMPPIOService<Object>>`

  - ### xmppStreamOpened

    public String[] xmppStreamOpened(XMPPIOService<Object> service, Map<String,String> attribs)
    Deprecated.
    Specified by:
      `xmppStreamOpened` in interface `XMPPIOServiceListener<XMPPIOService<Object>>`

  - ### getDefPlainPorts

    protected int[] getDefPlainPorts()
    Deprecated.
    Overrides:
      `getDefPlainPorts` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### getMaxInactiveTime

    protected long getMaxInactiveTime()
    Deprecated.
    We should not really close external component connection at all, so let's say something like: 1000 days...
    Specified by:
      `getMaxInactiveTime` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### getParamsForPort

    protected Map<String,Object> getParamsForPort(int port)
    Deprecated.
    Overrides:
      `getParamsForPort` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### getServiceId

    protected String getServiceId(Packet packet)
    Deprecated.
    Overrides:
      `getServiceId` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### getUniqueId

    protected String getUniqueId(XMPPIOService<Object> serv)
    Deprecated.
    Overrides:
      `getUniqueId` in class `ConnectionManager<XMPPIOService<Object>>`

  - ### getXMPPIOServiceInstance

    protected XMPPIOService<Object> getXMPPIOServiceInstance()
    Deprecated.
    Specified by:
      `getXMPPIOServiceInstance` in class `ConnectionManager<XMPPIOService<Object>>`